Bug 1708935 - Update to version 63.2-1 causes a crash in qt5-qtwebengine base applications
Summary: Update to version 63.2-1 causes a crash in qt5-qtwebengine base applications
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: icu
Version: rawhide
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: Eike Rathke
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2019-05-11 18:48 UTC by José Matos
Modified: 2019-05-21 18:07 UTC (History)
12 users (show)

Fixed In Version: icu-63.2-2.fc31 icu-63.2-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-17 01:04:45 UTC
Type: Bug


Attachments (Terms of Use)

Description José Matos 2019-05-11 18:48:09 UTC
Description of problem:
Updating to version 63.2-1.fc30 cause a crash in kontact (and other qt5-qtwebengine based applications).

The crash is due to the code triggering an assert:

$ gdb /usr/bin/kontact
GNU gdb (GDB) Fedora 8.2.91.20190424-24.fc30
Copyright (C) 2019 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/bin/kontact...
(No debugging symbols found in /usr/bin/kontact)
Missing separate debuginfos, use: dnf debuginfo-install 
kontact-18.12.2-1.fc30.x86_64
(gdb) run
Starting program: /usr/bin/kontact 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
[New Thread 0x7fffdc50d700 (LWP 5259)]
[New Thread 0x7fffda873700 (LWP 5260)]
[New Thread 0x7fffd8c34700 (LWP 5261)]
kontact: malloc.c:2389: sysmalloc: Assertion `(old_top == initial_top (av) && 
old_size == 0) || ((unsigned long) (old_size) >= MINSIZE && prev_inuse 
(old_top) && ((unsigned long) old_end & (pagesize - 1)) == 0)' failed.

Thread 1 "kontact" received signal SIGABRT, Aborted.
0x00007ffff6750eb5 in raise () from /lib64/libc.so.6
(gdb) bt
#0  0x00007ffff6750eb5 in raise () from /lib64/libc.so.6
#1  0x00007ffff673b895 in abort () from /lib64/libc.so.6
#2  0x00007ffff679a5f9 in __malloc_assert () from /lib64/libc.so.6
#3  0x00007ffff679c7af in sysmalloc () from /lib64/libc.so.6
#4  0x00007ffff679db75 in _int_malloc () from /lib64/libc.so.6
#5  0x00007ffff679ed3f in malloc () from /lib64/libc.so.6
#6  0x00007ffff5014e44 in icu_63::UnicodeSet::ensureBufferCapacity(int) () 
from /lib64/libicuuc.so.63
#7  0x00007ffff50156cc in icu_63::UnicodeSet::add(int const*, int, signed 
char) () from /lib64/libicuuc.so.63
#8  0x00007ffff50159eb in icu_63::UnicodeSet::addAll(icu_63::UnicodeSet 
const&) () from /lib64/libicuuc.so.63
#9  0x00007ffff501137f in 
icu_63::UnicodeSet::applyPattern(icu_63::RuleCharacterIterator&, 
icu_63::SymbolTable const*, icu_63::UnicodeString&, unsigned int, 
icu_63::UnicodeSet& (icu_63::UnicodeSet::*)(int), int, UErrorCode&) () from /
lib64/libicuuc.so.63
#10 0x00007ffff5011a2d in 
icu_63::UnicodeSet::applyPatternIgnoreSpace(icu_63::UnicodeString const&, 
icu_63::ParsePosition&, icu_63::SymbolTable const*, UErrorCode&) ()
   from /lib64/libicuuc.so.63
#11 0x00007ffff5011af8 in 
icu_63::UnicodeSet::applyPattern(icu_63::UnicodeString const&, UErrorCode&) () 
from /lib64/libicuuc.so.63
#12 0x00007ffff5011bfb in icu_63::UnicodeSet::UnicodeSet(icu_63::UnicodeString 
const&, UErrorCode&) () from /lib64/libicuuc.so.63
#13 0x00007fffef5bf928 in  () from /lib64/libQt5WebEngineCore.so.5
#14 0x00007fffef5bfa3e in  () from /lib64/libQt5WebEngineCore.so.5
#15 0x00007fffef5bfa8f in  () from /lib64/libQt5WebEngineCore.so.5
#16 0x00007fffef6ee76b in  () from /lib64/libQt5WebEngineCore.so.5
#17 0x00007fffef6ee94e in  () from /lib64/libQt5WebEngineCore.so.5
#18 0x00007fffef6ef20c in  () from /lib64/libQt5WebEngineCore.so.5
#19 0x00007fffef6ef2b2 in  () from /lib64/libQt5WebEngineCore.so.5
#20 0x00007fffed38ab3b in  () from /lib64/libQt5WebEngineCore.so.5
#21 0x00007fffef6f16d3 in  () from /lib64/libQt5WebEngineCore.so.5
#22 0x00007fffed3387bd in  () from /lib64/libQt5WebEngineCore.so.5
#23 0x00007fffeef10692 in  () from /lib64/libQt5WebEngineCore.so.5
#24 0x00007fffed3a4143 in  () from /lib64/libQt5WebEngineCore.so.5
#25 0x00007fffed3a53f4 in  () from /lib64/libQt5WebEngineCore.so.5
#26 0x00007ffff6088d77 in  () from /lib64/libQt5WebEngineWidgets.so.5
#27 0x00007ffff60899e3 in QWebEnginePage::QWebEnginePage(QObject*) () from /
lib64/libQt5WebEngineWidgets.so.5
#28 0x00007ffff7f4d36f in  () from /lib64/libkontactprivate.so.5
#29 0x00007ffff7f4d72c in  () from /lib64/libkontactprivate.so.5
#30 0x00007ffff7f4e533 in Kontact::MainWindow::initAboutScreen() () from /
lib64/libkontactprivate.so.5
#31 0x00007ffff7f551cf in Kontact::MainWindow::initWidgets() () from /lib64/
libkontactprivate.so.5
#32 0x00007ffff7f553ab in Kontact::MainWindow::initGUI() () from /lib64/
libkontactprivate.so.5
#33 0x00007ffff7f57085 in Kontact::MainWindow::MainWindow() () from /lib64/
libkontactprivate.so.5
#34 0x000055555555adc2 in  ()
#35 0x00007ffff7f26d55 in 
KontactInterface::PimUniqueApplication::start(QStringList const&, bool) () 
from /lib64/libKF5KontactInterface.so.5
#36 0x0000555555559be8 in  ()
#37 0x00007ffff673cf33 in __libc_start_main () from /lib64/libc.so.6
#38 0x000055555555a4ee in _start ()

Comment 1 Kevin Kofler 2019-05-12 12:51:43 UTC
Looks like this also makes Falkon unusable in Rawhide, I get this on the latest Rawhide KDE Live image:
malloc(): invalid size (unsorted)
and it crashes.

I am nominating this bug as a blocker for Fedora 31 on the ground that it breaks at least one (in fact, at least 2: Falkon and Kontact) default applications on the KDE Spin, as per https://fedoraproject.org/wiki/Fedora_30_Final_Release_Criteria#Default_application_functionality (lacking official criteria for Fedora 31 at this time).

It is arguable whether Falkon should actually be considered the default browser on the KDE Spin, which would make this a blocker even for the Rawhide composes as per https://fedoraproject.org/wiki/Basic_Release_Criteria#Required_applications .

Comment 2 Rex Dieter 2019-05-12 14:02:33 UTC
Interestingly, icu-63.2-1 on f29 does not appear to suffer from similar problems.  After updating to libicu-63.2-1.fc29, qtwebengine applications continue to start and run fine.

Comment 3 Rex Dieter 2019-05-12 14:13:54 UTC
My comment was erroneous, f29 updates-testing has 62.2, not 63.2, so that's probably relevant why/how f29 is unaffected

Comment 4 Eike Rathke 2019-05-13 09:50:30 UTC
Same happened for the update on F30 https://bodhi.fedoraproject.org/updates/FEDORA-2019-c497e61c26

I'll roll back to 63.1 on rawhide.

Comment 5 Eike Rathke 2019-05-13 12:26:24 UTC
Changing Version field from f30 to rawhide because that's the important thing, the update is not included in F30 as bodhi holds it back.

Comment 6 Eike Rathke 2019-05-13 15:22:03 UTC
icu-63.2-2.fc31 should fix this, if someone could verify?

Comment 7 Fedora Update System 2019-05-13 16:07:50 UTC
icu-63.2-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-29e13b1d55

Comment 8 Colin J Thomson 2019-05-13 18:00:16 UTC
icu-63.2-2.fc30  fixes the crashes on this F30 box, with applications that use qt5-qtwebengine.
IE Kmail, Falkon, Akregator etc

Comment 9 Fedora Update System 2019-05-14 01:54:01 UTC
icu-63.2-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-29e13b1d55

Comment 10 Fedora Update System 2019-05-17 01:04:45 UTC
icu-63.2-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.